
From: Horst Hummel <horst.hummel@de.ibm.com>

The FBA discipline does not use retries for failed requests.  A request fails
after the first unsuccessful start attempt.  There are some rare conditions
(e.g.  CIO path recovery) in which the start of an i/o on a fba device can
fail.  A tiny amount of retries is therefore reasonable.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/block/dasd_fba.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/s390/block/dasd_fba.c~s390-fba-dasd-i-o-errors drivers/s390/block/dasd_fba.c
--- devel/drivers/s390/block/dasd_fba.c~s390-fba-dasd-i-o-errors	2005-07-25 21:36:01.000000000 -0700
+++ devel-akpm/drivers/s390/block/dasd_fba.c	2005-07-25 21:36:01.000000000 -0700
@@ -4,7 +4,7 @@
  * Bugreports.to..: <Linux390@de.ibm.com>
  * (C) IBM Corporation, IBM Deutschland Entwicklung GmbH, 1999,2000
  *
- * $Revision: 1.39 $
+ * $Revision: 1.40 $
  */
 
 #include <linux/config.h>
@@ -354,6 +354,8 @@ dasd_fba_build_cp(struct dasd_device * d
 	}
 	cqr->device = device;
 	cqr->expires = 5 * 60 * HZ;	/* 5 minutes */
+	cqr->retries = 32;
+	cqr->buildclk = get_clock();
 	cqr->status = DASD_CQR_FILLED;
 	return cqr;
 }
_
